OpenVDB: PointIndexFilter< PointArray, TreeType > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
PointIndexFilter< PointArray, TreeType > Struct Template Reference

`#include <openvdb/tools/PointIndexGrid.h>`

## Public Types
using | PosType = typename PointArray::PosType
using | ScalarType = typename PosType::value_type
using | ConstAccessor = tree::ValueAccessor<const TreeType>

## Public Member Functions
| PointIndexFilter (const PointArray &points, const TreeType &tree, const math::Transform &xform)
| Constructor.
| PointIndexFilter (const PointIndexFilter &rhs)
| Thread safe copy constructor.
template<typename FilterType>
void | searchAndApply (const PosType &center, ScalarType radius, FilterType &op)
| Perform a radial search query and apply the given filter operator to the selected points.

## Member Typedef Documentation

## ◆ ConstAccessor

template<typename PointArray, typename TreeType = PointIndexTree>

using ConstAccessor = tree::ValueAccessor<const TreeType>

## ◆ PosType

template<typename PointArray, typename TreeType = PointIndexTree>

using PosType = typename PointArray::PosType

## ◆ ScalarType

template<typename PointArray, typename TreeType = PointIndexTree>

using ScalarType = typename PosType::value_type

## Constructor & Destructor Documentation

## ◆ PointIndexFilter() [1/2]

template<typename PointArray, typename TreeType>

PointIndexFilter | ( | const PointArray & | points,
|  | const TreeType & | tree,
|  | const math::Transform & | xform )
| inline

Constructor.

Parameters

  points | world-space point array conforming to the PointArray interface
  tree | a point index tree
  xform | linear, uniform-scale transform (i.e., cubical voxels)

## ◆ PointIndexFilter() [2/2]

template<typename PointArray, typename TreeType>

PointIndexFilter | ( | const PointIndexFilter< PointArray, TreeType > & | rhs | ) |
| inline

Thread safe copy constructor.

## Member Function Documentation

## ◆ searchAndApply()

template<typename PointArray, typename TreeType>
template<typename FilterType>

void searchAndApply | ( | const PosType & | center,
|  | ScalarType | radius,
|  | FilterType & | op )
| inline

Perform a radial search query and apply the given filter operator to the selected points.

Parameters

  center | world-space center
  radius | world-space radius
  op | custom filter operator (see the FilterType example for interface details)